package com.ozs.base.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class BaseSupplierVo extends PageVo {

    @Excel(name = "单位名称")
    @ApiModelProperty("供应商名称")
    private String supplierName;

    @Excel(name = "法定代表人")
    @ApiModelProperty("供应商负责人")
    private String supplierResponsiblePerson;

    @Excel(name = "单位地址")
    @ApiModelProperty("供应商地址")
    private String supplierAddress;

    @ApiModelProperty("状态 黑白名单")
    private String supplierState;

    @Excel(name = "预先采购")
    @ApiModelProperty("预先采购")
    private String supplierAdvancePurchase;

    @Excel(name = "邮政编码")
    @ApiModelProperty(value = "邮政编码")
    private String postalCode;

    @Excel(name = "项目联系人")
    @ApiModelProperty(value = "项目联系人")
    private String projectPerson;

    @Excel(name = "联系电话")
    @ApiModelProperty(value = "联系电话")
    private String telephone;

    @Excel(name = "银行账户名称")
    @ApiModelProperty(value = "银行账户名称")
    private String bankAccountName;

    @Excel(name = "开户银行")
    @ApiModelProperty(value = "开户银行")
    private String bankOfDeposit;

    @Excel(name = "银行账号")
    @ApiModelProperty(value = "银行账号")
    private String bankAccountNumber;

    @ApiModelProperty(value = "创建者")
    private String created;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改者")
    private String updated;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
